
import UIKit
import CoreData

class BooksViewController: UITableViewController {
    var context: NSManagedObjectContext!
    var listOfBooks: [Books] = []
    
    override func viewDidLoad() {
        super.viewDidLoad()
        tableView.rowHeight = 100
        let app = UIApplication.shared
        let appDelegate = app.delegate as! AppDelegate
        context = appDelegate.context
    }
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        let request: NSFetchRequest<Books> = Books.fetchRequest()
        request.predicate = NSPredicate(format: "year = 1983")
        do {
            listOfBooks = try context.fetch(request)
        } catch {
            print("Error")
        }
        tableView.reloadData()
    }
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return listOfBooks.count
    }
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "booksCell", for: indexPath) as! BooksCell
        
        let book = listOfBooks[indexPath.row]
        cell.bookTitle.text = book.title
        if book.thumbnail != nil {
            cell.bookCover.image = UIImage(data: book.thumbnail!)
        }
        cell.bookYear.text = "Year: \(book.year)"
        
        let author = book.author
        if author != nil {
            cell.bookAuthor.text = author!.name
        } else {
            cell.bookAuthor.text = "Not Defined"
        }
        return cell
    }
}
