
import UIKit
import CoreData

class EditBookViewController: UIViewController {
    @IBOutlet weak var bookTitle: UITextField!
    @IBOutlet weak var bookYear: UITextField!
    @IBOutlet weak var authorName: UILabel!
    var context: NSManagedObjectContext!
    var selectedAuthor: Authors!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        bookTitle.becomeFirstResponder()
        let app = UIApplication.shared
        let appDelegate = app.delegate as! AppDelegate
        context = appDelegate.context
    }
    @IBAction func saveBook(_ sender: UIBarButtonItem) {
        let year = Int32(bookYear.text!)
        let title = bookTitle.text!.trimmingCharacters(in: .whitespaces)
        if title != "" && year != nil {
            let newBook = Books(context: context)
            newBook.title = title
            newBook.year = year!
            
            let nocover = UIImage(named: "nocover")
            let nothumbnail = UIImage(named: "nothumbnail")
            newBook.cover = nocover?.pngData()
            newBook.thumbnail = nothumbnail?.pngData()
            newBook.author = selectedAuthor
            
            do {
                try context.save()
            } catch {
                print("Error")
            }
            navigationController?.popViewController(animated: true)
        }
    }
    @IBAction func backAuthor(_ segue: UIStoryboardSegue) {
        if segue.identifier == "backFromList" {
            let controller = segue.source as! AuthorsViewController
            selectedAuthor = controller.selectedAuthor
            authorName.text = selectedAuthor.name
        } else if segue.identifier == "backFromNew" {
            let controller = segue.source as! EditAuthorViewController
            selectedAuthor = controller.selectedAuthor
            authorName.text = selectedAuthor.name
        }
    }
}
